summaryrefslogtreecommitdiff
path: root/sys-boot
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-06-28 19:52:15 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-06-28 19:52:15 +0100
commit1bf24df79ec99eda5cf525e1d079050ed16ba0e6 (patch)
treed2583f4dbb71345a2b4841687e5ed98892f4c3a8 /sys-boot
parent470e37a6a5d9b342732c4008c81ae8e61b6116c0 (diff)
sys-boot/isowriter : new package
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/isowriter/isowriter-99999.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/sys-boot/isowriter/isowriter-99999.ebuild b/sys-boot/isowriter/isowriter-99999.ebuild
new file mode 100644
index 00000000..4819d2dd
--- /dev/null
+++ b/sys-boot/isowriter/isowriter-99999.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /dev-util/notepadqq-9999.ebuild,v 0.1 frostwork $
+
+EAPI=5
+inherit eutils qmake-utils git-r3
+
+DESCRIPTION="Tool for creating bootable installation USB flash drives"
+EGIT_REPO_URI="https://github.com/KaOSx/${PN}.git"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="+dialog"
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dialog? ( kde-apps/kdialog )
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ eqmake5 ImageWriter.pro
+}
+
+src_install() {
+ make INSTALL_ROOT=${D} install || die
+}